package com.persagy.dmp.rwd.edit.config.shiro;

import com.persagy.common.web.ServletUtils;
import lombok.extern.slf4j.Slf4j;
import org.apache.shiro.web.filter.authz.PermissionsAuthorizationFilter;

import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

@Slf4j
public class DmpAuthorizationFilter extends PermissionsAuthorizationFilter {

	private static final String ERROR_RESULT = "{\"result\": \"fail\", \"message\": \"no authorization info\"}";

	@Override
	protected boolean onAccessDenied(ServletRequest request, ServletResponse response) throws IOException {
		log.error("======================= shiro authorization error");
		ServletUtils.writeJson((HttpServletResponse) response, ERROR_RESULT);
		return false;
	}

}
