package com.persagy.dmp.rwd.edit;

import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.json.JacksonMapper;
import com.persagy.common.web.MapResponse;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.rwd.edit.entity.RwdeditVersion;
import com.persagy.dmp.rwd.edit.enumeration.EnumVersionState;
import com.persagy.dmp.rwd.edit.service.RwdeditVersionService;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@Slf4j
@SpringBootTest
@RunWith(SpringRunner.class)
public class RwdeditVersionTest {

    @Autowired
    private RwdeditVersionService rwdeditVersionService;

    /**
     * 查询版本信息
     */
    @Test
    public void query() {
        JacksonCriteria criteria = JacksonCriteria.newInstance();
        PagedResponse<RwdeditVersion> query = rwdeditVersionService.query(criteria);
        System.err.println(JacksonMapper.toFormatJson(query));
    }

    /**
     * 创建版本信息
     */
    @Test
    public void create() {
        RwdeditVersion param = new RwdeditVersion();
        param.setVersion("1.0.1");
        MapResponse response = rwdeditVersionService.create(param);
        System.err.println(JacksonMapper.toFormatJson(response));
    }

    /**
     * 修改版本信息
     */
    @Test
    public void update() {
        RwdeditVersion param = new RwdeditVersion();
        param.setVersion("1.0.1");
        param.setState(EnumVersionState.INIT);
        MapResponse response = rwdeditVersionService.update(param);
        System.err.println(JacksonMapper.toFormatJson(response));
    }

    /**
     * 删除版本信息
     */
    @Test
    public void delete() {
        RwdeditVersion param = new RwdeditVersion();
        param.setVersion("1.0.1");
        MapResponse response = rwdeditVersionService.delete(param);
        System.err.println(JacksonMapper.toFormatJson(response));
    }

    /**
     * 下载版本信息
     */
    @Test
    public void download() {
        System.err.println("*************");
    }

}
